DROP TABLE CRST_PO_DISTRIBUTIONS_ALL;

CREATE TABLE CRST_PO_DISTRIBUTIONS_ALL
(
  PO_DISTRIBUTION_ID           NUMBER,
  LAST_UPDATE_DATE             DATE,
  LAST_UPDATED_BY              NUMBER,
  PO_HEADER_ID                 NUMBER,
  PO_LINE_ID                   NUMBER,
  LINE_LOCATION_ID             NUMBER,
  SET_OF_BOOKS_ID              NUMBER,
  CODE_COMBINATION_ID          NUMBER,
  QUANTITY_ORDERED             NUMBER,
  LAST_UPDATE_LOGIN            NUMBER,
  CREATION_DATE                DATE,
  CREATED_BY                   NUMBER,
  PO_RELEASE_ID                NUMBER,
  QUANTITY_DELIVERED           NUMBER,
  QUANTITY_BILLED              NUMBER,
  QUANTITY_CANCELLED           NUMBER,
  REQ_HEADER_REFERENCE_NUM     VARCHAR2(25 BYTE),
  REQ_LINE_REFERENCE_NUM       VARCHAR2(25 BYTE),
  REQ_DISTRIBUTION_ID          NUMBER,
  DELIVER_TO_LOCATION_ID       NUMBER,
  DELIVER_TO_PERSON_ID         NUMBER(9),
  RATE_DATE                    DATE,
  RATE                         NUMBER,
  AMOUNT_BILLED                NUMBER,
  ACCRUED_FLAG                 VARCHAR2(1 BYTE),
  ENCUMBERED_FLAG              VARCHAR2(1 BYTE),
  ENCUMBERED_AMOUNT            NUMBER,
  UNENCUMBERED_QUANTITY        NUMBER,
  UNENCUMBERED_AMOUNT          NUMBER,
  FAILED_FUNDS_LOOKUP_CODE     VARCHAR2(25 BYTE),
  GL_ENCUMBERED_DATE           DATE,
  GL_ENCUMBERED_PERIOD_NAME    VARCHAR2(15 BYTE),
  GL_CANCELLED_DATE            DATE,
  DESTINATION_TYPE_CODE        VARCHAR2(25 BYTE),
  DESTINATION_ORGANIZATION_ID  NUMBER,
  DESTINATION_SUBINVENTORY     VARCHAR2(10 BYTE),
  ATTRIBUTE_CATEGORY           VARCHAR2(30 BYTE),
  ATTRIBUTE1                   VARCHAR2(150 BYTE),
  ATTRIBUTE2                   VARCHAR2(150 BYTE),
  ATTRIBUTE3                   VARCHAR2(150 BYTE),
  ATTRIBUTE4                   VARCHAR2(150 BYTE),
  ATTRIBUTE5                   VARCHAR2(150 BYTE),
  ATTRIBUTE6                   VARCHAR2(150 BYTE),
  ATTRIBUTE7                   VARCHAR2(150 BYTE),
  ATTRIBUTE8                   VARCHAR2(150 BYTE),
  ATTRIBUTE9                   VARCHAR2(150 BYTE),
  ATTRIBUTE10                  VARCHAR2(150 BYTE),
  ATTRIBUTE11                  VARCHAR2(150 BYTE),
  ATTRIBUTE12                  VARCHAR2(150 BYTE),
  ATTRIBUTE13                  VARCHAR2(150 BYTE),
  ATTRIBUTE14                  VARCHAR2(150 BYTE),
  ATTRIBUTE15                  VARCHAR2(150 BYTE),
  WIP_ENTITY_ID                NUMBER,
  WIP_OPERATION_SEQ_NUM        NUMBER,
  WIP_RESOURCE_SEQ_NUM         NUMBER,
  WIP_REPETITIVE_SCHEDULE_ID   NUMBER,
  WIP_LINE_ID                  NUMBER,
  BOM_RESOURCE_ID              NUMBER,
  BUDGET_ACCOUNT_ID            NUMBER,
  ACCRUAL_ACCOUNT_ID           NUMBER,
  VARIANCE_ACCOUNT_ID          NUMBER,
  PREVENT_ENCUMBRANCE_FLAG     VARCHAR2(1 BYTE),
  USSGL_TRANSACTION_CODE       VARCHAR2(30 BYTE),
  GOVERNMENT_CONTEXT           VARCHAR2(30 BYTE),
  DESTINATION_CONTEXT          VARCHAR2(30 BYTE),
  DISTRIBUTION_NUM             NUMBER,
  SOURCE_DISTRIBUTION_ID       NUMBER,
  REQUEST_ID                   NUMBER,
  PROGRAM_APPLICATION_ID       NUMBER,
  PROGRAM_ID                   NUMBER,
  PROGRAM_UPDATE_DATE          DATE,
  PROJECT_ID                   NUMBER,
  TASK_ID                      NUMBER,
  EXPENDITURE_TYPE             VARCHAR2(30 BYTE),
  PROJECT_ACCOUNTING_CONTEXT   VARCHAR2(30 BYTE),
  EXPENDITURE_ORGANIZATION_ID  NUMBER,
  GL_CLOSED_DATE               DATE,
  ACCRUE_ON_RECEIPT_FLAG       VARCHAR2(1 BYTE),
  EXPENDITURE_ITEM_DATE        DATE,
  ORG_ID                       NUMBER,
  KANBAN_CARD_ID               NUMBER,
  AWARD_ID                     NUMBER(15),
  MRC_RATE_DATE                VARCHAR2(2000 BYTE),
  MRC_RATE                     VARCHAR2(2000 BYTE),
  MRC_ENCUMBERED_AMOUNT        VARCHAR2(2000 BYTE),
  MRC_UNENCUMBERED_AMOUNT      VARCHAR2(2000 BYTE),
  END_ITEM_UNIT_NUMBER         VARCHAR2(30 BYTE),
  TAX_RECOVERY_OVERRIDE_FLAG   VARCHAR2(1 BYTE),
  RECOVERABLE_TAX              NUMBER,
  NONRECOVERABLE_TAX           NUMBER,
  RECOVERY_RATE                NUMBER,
  OKE_CONTRACT_LINE_ID         NUMBER,
  OKE_CONTRACT_DELIVERABLE_ID  NUMBER,
  PO_DISTRIBUTION_ID_N         NUMBER
);
